{{

}}
CON
  _clkmode = xtal1 + pll16x                                                      
  _xinfreq = 5_000_000

   SCL      = 26       ' I2C SCL Pin
   SDA      = 27       ' I2C SDA Pin  

VAR

OBJ
  I2C   : "Basic_I2C_Driver"
  FDS   : "FullDuplexSerial"

PUB Main | Device_ID
  FDS.start(31,30,0,115_200)
  I2C.initialize(SCL)
  waitcnt(cnt + clkfreq)
  FDS.tx($00)

  repeat Device_ID from 0 to $7F
    I2C.start(SCL)
    if not I2C.write(SCL,Device_ID << 1)
      FDS.str(string($0D,"Device found at "))
      FDS.bin(Device_ID,7)
    I2C.stop(SCL)
  FDS.str(string($0D,"Finished"))
  
